{% extends 'base.html' %}

{% block title %} {{ title }} {% endblock %}
{% block head %}
{{ super() }}
<script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
{% endblock %}

{% block body %}
<div style="background:#C9D8B6">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-12 col-md-6"><img src="{{ url_for('static', filename='img/images/logo.jpeg') }}" alt="logo"></div>
        </div>
        <div class="row justify-content-center">
            <div class="col-12 col-md-6"><h1>SIDEMA</h1></div>
        </div>
        <div class="row justify-content-center">
            <div class="col-12 col-md-6"><h3>Ingrese los datos del recinto</h3></div> 
        </div>
    </div>

    
    <div class="container">
        {% for category, message in get_flashed_messages(with_categories=True) %}
        <div class="alert alert-{{category}}" role="alert">
            {{message}}
        </div>
        {% endfor %}
    
    </div>
    <form class="container" method="POST">
        {{ form.csrf_token }}
        <div class="row">
            <h3>Dimensiones del recinto</h3>
            <div class="col">
                {{ form.weight.label }}
                {{ form.weight(class_="form-control") }}
            </div>
        </div>
        <div class="row">
            <div class="col">
                {{ form.height.label }}
                {{ form.height(class_="form-control") }}
            </div>
    
        </div>
        <div class="row">
            <div class="col">
                {{ form.depth.label }}
                {{ form.depth(class_="form-control") }}
            </div>
            
        </div>
        <div class="row">
            <h3>Materiales del recinto</h3>
        </div>
        <div class="row">
            <div class="col">
                {{ form.wall_material.label }}
                {{ form.wall_material(class_="form-control") }}
            </div>
            <div class="col">
                {{ form.roof_material.label }}
                {{ form.roof_material(class_="form-control") }}
            </div>
    
        </div>
        <div class="row">
            <h3>Contenido del recinto</h3>
        </div>
        <div class="row">
            <div class="col">
                {{ form.furniture_density.label }}
                {{ form.furniture_density(class_="form-control") }}
            </div>
        </div>
        <div class="row">
            <div class="col">
                {{ form.doors.label }}
                {{ form.doors(class_="form-control") }}
            </div>
        </div>
        <div class="row">
            <div class="col">
                {{ form.windows.label }}
                {{ form.windows(class_="form-control") }}
            </div>
        </div>
        <div class="row">
            <div class="col">
                {{ form.submit(class_="btn btn-success") }}
            </div>
        </div>
        
            <!-- 
            <h3></h3>
            {{ wtf.form_field(form.furniture_density) }}
            {{ wtf.form_field(form.doors) }}
            {{ wtf.form_field(form.windows) }}
             -->
        <!-- </div> -->
    </form>
</div>
{% endblock %}